OpenTTD

Functions
ai_gui.hpp File Reference

Window for configuring the AIs More...

`#include "../company_type.h"`

Go to the source code of this file.

## Functions
Window * | ShowAIDebugWindow (CompanyID show_company=INVALID_COMPANY)
| Open the AI debug window and select the given company. More...
void | ShowAIConfigWindow ()
| Open the AI config window. More...
void | ShowAIDebugWindowIfAIError ()
| Open the AI debug window if one of the AI scripts has crashed. More...
void | InitializeAIGui ()
| Reset the AI windows to their initial state.

## Detailed Description

Window for configuring the AIs

Definition in file ai_gui.hpp.

## Function Documentation

## ◆ ShowAIConfigWindow()

void ShowAIConfigWindow | ( |  | ) |

Open the AI config window.

Definition at line 958 of file ai_gui.cpp.

References DeleteWindowByClass(), and WC_GAME_OPTIONS.

## ◆ ShowAIDebugWindow()

Window* ShowAIDebugWindow | ( | CompanyID | show_company | ) |

Open the AI debug window and select the given company.

Parameters

  show_company | Display debug information about this AI company.

Definition at line 1523 of file ai_gui.cpp.

References _network_server, _networking, BringWindowToFrontById(), AIDebugWindow::ChangeToAI(), INVALID_COMPANY, INVALID_STRING_ID, ShowErrorMessage(), WC_AI_DEBUG, and WL_INFO.

Referenced by AIInstance::Died(), and GameInstance::Died().

## ◆ ShowAIDebugWindowIfAIError()

void ShowAIDebugWindowIfAIError | ( |  | ) |

Open the AI debug window if one of the AI scripts has crashed.

Definition at line 1546 of file ai_gui.cpp.

References _network_server, and _networking.